## apache-arrow 12.0.1

=== debian/changelog ===
apache-arrow (12.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Raúl Cumplido <raulcumplido@gmail.com>  Wed, 07 Jun 2023 14:40:04 -0000
