=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Standards-Version: 3.9.8
 Homepage: https://arrow.apache.org/
 
-Package: libarrow1300
+Package: libarrow1400
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -61,12 +61,12 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+  libarrow1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides tools.
 
-Package: libarrow-cuda1300
+Package: libarrow-cuda1400
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -74,60 +74,60 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+  libarrow1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for CUDA support.
 
-Package: libarrow-acero1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+Package: libarrow-acero1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Acero module.
 
-Package: libarrow-dataset1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-acero1300 (= ${binary:Version}),
-  libparquet1300 (= ${binary:Version})
+Package: libarrow-dataset1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-acero1400 (= ${binary:Version}),
+  libparquet1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Dataset module.
 
-Package: libarrow-flight1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+Package: libarrow-flight1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight RPC system.
 
-Package: libarrow-flight-sql1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-flight1300 (= ${binary:Version})
+Package: libarrow-flight-sql1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-flight1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ library files for Flight SQL system.
@@ -138,19 +138,15 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow1300 (= ${binary:Version}),
+  libarrow1400 (= ${binary:Version}),
   libbrotli-dev,
   libbz2-dev,
+  libcurl4-openssl-dev,
+  liblz4-dev,
   libc-ares-dev,
-  libcurl4-openssl-dev,
-  libgrpc++-dev,
-  liblz4-dev,
-  libprotobuf-dev,
-  libprotoc-dev,
   libre2-dev,
   libsnappy-dev,
   libssl-dev,
-  libthrift-dev,
   libutf8proc-dev,
   libzstd-dev,
   nlohmann-json-dev | nlohmann-json3-dev,
@@ -167,7 +163,7 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-cuda1300 (= ${binary:Version})
+  libarrow-cuda1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for CUDA support.
@@ -178,7 +174,7 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends},
-  libarrow-acero1300 (= ${binary:Version}),
+  libarrow-acero1400 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -191,7 +187,7 @@
 Depends:
   ${misc:Depends},
   libarrow-acero-dev (= ${binary:Version}),
-  libarrow-dataset1300 (= ${binary:Version}),
+  libarrow-dataset1400 (= ${binary:Version}),
   libparquet-dev (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -204,7 +200,11 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libarrow-flight1300 (= ${binary:Version})
+  libarrow-flight1400 (= ${binary:Version}),
+  libc-ares-dev,
+  libgrpc++-dev,
+  libprotobuf-dev,
+  libprotoc-dev
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight RPC system.
@@ -216,20 +216,20 @@
 Depends:
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
-  libarrow-flight-sql1300 (= ${binary:Version})
+  libarrow-flight-sql1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides C++ header files for Flight SQL system.
 
-Package: libgandiva1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+Package: libgandiva1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1400 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
@@ -242,13 +242,13 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libgandiva1300 (= ${binary:Version})
+  libgandiva1400 (= ${binary:Version})
 Description: Gandiva is a toolset for compiling and evaluating expressions
  on Arrow Data.
  .
  This package provides C++ header files.
 
-Package: libparquet1300
+Package: libparquet1400
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -268,7 +268,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libparquet1300 (= ${binary:Version})
+  libparquet1400 (= ${binary:Version})
 Description: Apache Parquet is a columnar storage format
  .
  This package provides tools.
@@ -280,20 +280,21 @@
 Depends:
   ${misc:Depends},
   libarrow-dev (= ${binary:Version}),
-  libparquet1300 (= ${binary:Version})
+  libparquet1400 (= ${binary:Version}),
+  libthrift-dev
 Description: Apache Parquet is a columnar storage format
  .
  This package provides C++ header files.
 
-Package: libarrow-glib1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow1300 (= ${binary:Version})
+Package: libarrow-glib1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files.
@@ -316,8 +317,8 @@
 Depends:
   ${misc:Depends},
   libglib2.0-dev,
-  libarrow-dev (= ${binary:Version}),
-  libarrow-glib1300 (= ${binary:Version}),
+  libarrow-acero-dev (= ${binary:Version}),
+  libarrow-glib1400 (= ${binary:Version}),
   gir1.2-arrow-1.0 (= ${binary:Version})
 Suggests: libarrow-glib-doc
 Description: Apache Arrow is a data processing library for analysis
@@ -335,7 +336,7 @@
  .
  This package provides documentations.
 
-Package: libarrow-cuda-glib1300
+Package: libarrow-cuda-glib1400
 Section: libs
 Architecture: i386 amd64
 Multi-Arch: same
@@ -343,8 +344,8 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libarrow-glib1300 (= ${binary:Version}),
-  libarrow-cuda1300 (= ${binary:Version})
+  libarrow-glib1400 (= ${binary:Version}),
+  libarrow-cuda1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for CUDA support.
@@ -369,22 +370,22 @@
   ${misc:Depends},
   libarrow-cuda-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-cuda-glib1300 (= ${binary:Version}),
+  libarrow-cuda-glib1400 (= ${binary:Version}),
   gir1.2-arrow-cuda-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based header files for CUDA support.
 
-Package: libarrow-dataset-glib1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1300 (= ${binary:Version}),
-  libarrow-dataset1300 (= ${binary:Version})
+Package: libarrow-dataset-glib1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1400 (= ${binary:Version}),
+  libarrow-dataset1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for dataset module.
@@ -409,7 +410,7 @@
   ${misc:Depends},
   libarrow-dataset-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-dataset-glib1300 (= ${binary:Version}),
+  libarrow-dataset-glib1400 (= ${binary:Version}),
   gir1.2-arrow-dataset-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -426,16 +427,16 @@
  .
  This package provides documentations for dataset module.
 
-Package: libarrow-flight-glib1300
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
-  ${misc:Depends},
-  ${shlibs:Depends},
-  libarrow-glib1300 (= ${binary:Version}),
-  libarrow-flight1300 (= ${binary:Version})
+Package: libarrow-flight-glib1400
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+  ${misc:Depends},
+  ${shlibs:Depends},
+  libarrow-glib1400 (= ${binary:Version}),
+  libarrow-flight1400 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
  This package provides GLib based library files for Apache Arrow Flight.
@@ -461,7 +462,7 @@
   ${misc:Depends},
   libarrow-flight-dev (= ${binary:Version}),
   libarrow-glib-dev (= ${binary:Version}),
-  libarrow-flight-glib1300 (= ${binary:Version}),
+  libarrow-flight-glib1400 (= ${binary:Version}),
   gir1.2-arrow-flight-1.0 (= ${binary:Version})
 Description: Apache Arrow is a data processing library for analysis
  .
@@ -472,4 +473,3 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
-  ${misc:Depends}
